libwps::DebugFile Class Reference

`#include <WPSDebug.h>`

## Public Member Functions

| DebugFile (WPXInputStreamPtr)
| DebugFile ()
void | setStream (WPXInputStreamPtr)
| ~DebugFile ()
bool | open (std::string const &)
void | addPos (long)
void | addNote (char const *)
void | addDelimiter (long, char)
void | reset ()
void | skipZone (long, long)

## Constructor & Destructor Documentation

libwps::DebugFile::DebugFile | ( | WPXInputStreamPtr |  | ) |

inline

libwps::DebugFile::DebugFile | ( |  | ) |

inline

libwps::DebugFile::~DebugFile | ( |  | ) |

inline

## Member Function Documentation

void libwps::DebugFile::addDelimiter | ( | long | ,
|  | char |
| ) |  |

inline

Referenced by WPS4Text::readDosLink(), and WPS8Text::readNotes().

void libwps::DebugFile::addNote | ( | char const * |  | ) |

inline

Referenced by WPS8Text::bmktEndDataParser(), WPS8Parser::createStructures(), WPS4Parser::findZones(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), WPS8Graph::readBDR(), WPSOLEParser::readCompObj(), WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readDosLink(), WPS4Text::readEntries(), WPSTextParser::readFDP(), WPS8TextStyle::readFontNames(), WPS4Text::readFontNames(), WPS8Parser::readFRAM(), WPS8Graph::readIBGF(), WPS8Table::readMCLD(), WPSOLEParser::readMM(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readObjInfo(), WPSOLEParser::readOle(), WPSOLEParser::readOle10Native(), WPSOLEParser::readOlePres(), WPS8Graph::readPICT(), WPS4Parser::readPrnt(), WPS8TextStyle::readSGP(), WPS8Text::readStructures(), WPS8TextStyle::readSTSH(), WPS8Parser::readSYID(), WPS8Text::readText(), WPS4Text::readText(), WPS8Parser::readWNPR(), and WPS8Text::tokenEndDataParser().

void libwps::DebugFile::addPos | ( | long |  | ) |

inline

Referenced by WPS8Text::bmktEndDataParser(), WPS8Parser::createStructures(), WPS4Parser::findZones(), WPS4Parser::parseEntry(), WPS8Parser::parseHeaderIndex(), WPS8Parser::parseHeaderIndexEntry(), WPS8Parser::parseHeaderIndexEntryEnd(), WPS8Graph::readBDR(), WPSOLEParser::readCompObj(), WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPS4Parser::readDocDim(), WPS8Parser::readDocProperties(), WPS4Parser::readDocWindowsInfo(), WPS4Text::readDosLink(), WPS4Text::readEntries(), WPSTextParser::readFDP(), WPS8TextStyle::readFontNames(), WPS4Text::readFontNames(), WPS8Parser::readFRAM(), WPS8Graph::readIBGF(), WPS8Table::readMCLD(), WPSOLEParser::readMM(), WPS8Text::readNotes(), WPS4Graph::readObject(), WPSOLEParser::readObjInfo(), WPSOLEParser::readOle(), WPSOLEParser::readOle10Native(), WPSOLEParser::readOlePres(), WPS8Graph::readPICT(), WPS4Parser::readPrnt(), WPS8TextStyle::readSGP(), WPS8Text::readStructures(), WPS8TextStyle::readSTSH(), WPS8Parser::readSYID(), WPS8Text::readText(), WPS4Text::readText(), WPS8Parser::readWNPR(), and WPS8Text::tokenEndDataParser().

bool libwps::DebugFile::open | ( | std::string const & |  | ) |

inline

Referenced by WPS4Parser::parse(), WPS8Parser::parse(), and WPSOLEParser::parse().

void libwps::DebugFile::reset | ( |  | ) |

inline

Referenced by WPS4Parser::parse(), WPS8Parser::parse(), and WPSOLEParser::parse().

void libwps::DebugFile::setStream | ( | WPXInputStreamPtr |  | ) |

inline

Referenced by WPS4Parser::parse(), and WPS8Parser::parse().

void libwps::DebugFile::skipZone | ( | long | ,
|  | long |
| ) |  |

inline

Referenced by WPSOLEParser::readContents(), WPSOLEParser::readCONTENTS(), WPS8Graph::readMetaFile(), WPS4Graph::readObject(), WPSOLEParser::readOle10Native(), and WPSOLEParser::readOlePres().

The documentation for this class was generated from the following file:

- WPSDebug.h